Cyan Web API - Version 1


GET api/messageBodies/putDataDelete

            Gets and example of the message body format for a "PutDataDelete" message.
            

Response Information

Response body formats

application/json, text/json

Sample:
{
  "nodeIds": [
    "2d99f419-dac9-42ef-87d4-25c4ac287238",
    "e1736cb4-56a7-47c2-b940-00297896561d",
    "826f8732-ce50-4df1-b95b-0a4dfbc6dc1a"
  ],
  "nodes": [
    {
      "tenantId": "06a0cf69-a0b0-4bbb-9de3-f231e8986810",
      "nodeId": "bfc1ad5c-e190-4460-aebd-a39e112efeb6",
      "type": "sample string 3",
      "id": "sample string 4",
      "parentType": "sample string 5",
      "parentId": "sample string 6",
      "title": "sample string 7",
      "props": {
        "sample string 1": {},
        "sample string 3": {},
        "sample string 5": {}
      },
      "refs": {
        "sample string 1": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 2": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 3": {
          "type": "sample string 1",
          "id": "sample string 2"
        }
      },
      "cyanId": 8,
      "subjectToCleanup": true,
      "createdDateUtc": "2026-05-11T10:11:50.951348+00:00",
      "updatedDateUtc": "2026-05-11T10:11:50.951348+00:00"
    },
    {
      "tenantId": "06a0cf69-a0b0-4bbb-9de3-f231e8986810",
      "nodeId": "bfc1ad5c-e190-4460-aebd-a39e112efeb6",
      "type": "sample string 3",
      "id": "sample string 4",
      "parentType": "sample string 5",
      "parentId": "sample string 6",
      "title": "sample string 7",
      "props": {
        "sample string 1": {},
        "sample string 3": {},
        "sample string 5": {}
      },
      "refs": {
        "sample string 1": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 2": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 3": {
          "type": "sample string 1",
          "id": "sample string 2"
        }
      },
      "cyanId": 8,
      "subjectToCleanup": true,
      "createdDateUtc": "2026-05-11T10:11:50.951348+00:00",
      "updatedDateUtc": "2026-05-11T10:11:50.951348+00:00"
    },
    {
      "tenantId": "06a0cf69-a0b0-4bbb-9de3-f231e8986810",
      "nodeId": "bfc1ad5c-e190-4460-aebd-a39e112efeb6",
      "type": "sample string 3",
      "id": "sample string 4",
      "parentType": "sample string 5",
      "parentId": "sample string 6",
      "title": "sample string 7",
      "props": {
        "sample string 1": {},
        "sample string 3": {},
        "sample string 5": {}
      },
      "refs": {
        "sample string 1": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 2": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 3": {
          "type": "sample string 1",
          "id": "sample string 2"
        }
      },
      "cyanId": 8,
      "subjectToCleanup": true,
      "createdDateUtc": "2026-05-11T10:11:50.951348+00:00",
      "updatedDateUtc": "2026-05-11T10:11:50.951348+00:00"
    }
  ]
}

application/xml, text/xml

Sample:
<PutDataDeleteMessageBody xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Messaging">
  <NodeIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:guid>2d99f419-dac9-42ef-87d4-25c4ac287238</d2p1:guid>
    <d2p1:guid>e1736cb4-56a7-47c2-b940-00297896561d</d2p1:guid>
    <d2p1:guid>826f8732-ce50-4df1-b95b-0a4dfbc6dc1a</d2p1:guid>
  </NodeIds>
  <Nodes xmlns:d2p1="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
    <d2p1:NodeRepresentation>
      <d2p1:CreatedDateUtc>2026-05-11T10:11:50.951348+00:00</d2p1:CreatedDateUtc>
      <d2p1:UpdatedDateUtc>2026-05-11T10:11:50.951348+00:00</d2p1:UpdatedDateUtc>
      <d2p1:CyanId>8</d2p1:CyanId>
      <d2p1:Id>sample string 4</d2p1:Id>
      <d2p1:NodeId>bfc1ad5c-e190-4460-aebd-a39e112efeb6</d2p1:NodeId>
      <d2p1:ParentId>sample string 6</d2p1:ParentId>
      <d2p1:ParentType>sample string 5</d2p1:ParentType>
      <d2p1:Props xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 5</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
      </d2p1:Props>
      <d2p1:Refs xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 2</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
      </d2p1:Refs>
      <d2p1:SubjectToCleanup>true</d2p1:SubjectToCleanup>
      <d2p1:TenantId>06a0cf69-a0b0-4bbb-9de3-f231e8986810</d2p1:TenantId>
      <d2p1:Title>sample string 7</d2p1:Title>
      <d2p1:Type>sample string 3</d2p1:Type>
    </d2p1:NodeRepresentation>
    <d2p1:NodeRepresentation>
      <d2p1:CreatedDateUtc>2026-05-11T10:11:50.951348+00:00</d2p1:CreatedDateUtc>
      <d2p1:UpdatedDateUtc>2026-05-11T10:11:50.951348+00:00</d2p1:UpdatedDateUtc>
      <d2p1:CyanId>8</d2p1:CyanId>
      <d2p1:Id>sample string 4</d2p1:Id>
      <d2p1:NodeId>bfc1ad5c-e190-4460-aebd-a39e112efeb6</d2p1:NodeId>
      <d2p1:ParentId>sample string 6</d2p1:ParentId>
      <d2p1:ParentType>sample string 5</d2p1:ParentType>
      <d2p1:Props xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 5</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
      </d2p1:Props>
      <d2p1:Refs xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 2</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
      </d2p1:Refs>
      <d2p1:SubjectToCleanup>true</d2p1:SubjectToCleanup>
      <d2p1:TenantId>06a0cf69-a0b0-4bbb-9de3-f231e8986810</d2p1:TenantId>
      <d2p1:Title>sample string 7</d2p1:Title>
      <d2p1:Type>sample string 3</d2p1:Type>
    </d2p1:NodeRepresentation>
    <d2p1:NodeRepresentation>
      <d2p1:CreatedDateUtc>2026-05-11T10:11:50.951348+00:00</d2p1:CreatedDateUtc>
      <d2p1:UpdatedDateUtc>2026-05-11T10:11:50.951348+00:00</d2p1:UpdatedDateUtc>
      <d2p1:CyanId>8</d2p1:CyanId>
      <d2p1:Id>sample string 4</d2p1:Id>
      <d2p1:NodeId>bfc1ad5c-e190-4460-aebd-a39e112efeb6</d2p1:NodeId>
      <d2p1:ParentId>sample string 6</d2p1:ParentId>
      <d2p1:ParentType>sample string 5</d2p1:ParentType>
      <d2p1:Props xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 5</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
      </d2p1:Props>
      <d2p1:Refs xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 2</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>
            <d2p1:Id>sample string 2</d2p1:Id>
            <d2p1:Type>sample string 1</d2p1:Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
      </d2p1:Refs>
      <d2p1:SubjectToCleanup>true</d2p1:SubjectToCleanup>
      <d2p1:TenantId>06a0cf69-a0b0-4bbb-9de3-f231e8986810</d2p1:TenantId>
      <d2p1:Title>sample string 7</d2p1:Title>
      <d2p1:Type>sample string 3</d2p1:Type>
    </d2p1:NodeRepresentation>
  </Nodes>
</PutDataDeleteMessageBody>